{ stdenv, fetchFromGitHub
, pkg-config, protobufc
, ncurses, rrdtool, libusb1
, libbladeRF, librtlsdr
# , libad9361, libiio
}:
stdenv.mkDerivation rec {
  name = "readsb-protobuf";

  src = fetchFromGitHub {
    owner = "Mictronics";
    repo = name;
    rev = "dev";
    sha256 = "03hq9bjg9p6wysys7p0l3hzlfwzbp74k50yjd2n9lg3v1yc4vccl";
  };

  nativeBuildInputs = [
    pkg-config protobufc
  ];
  buildInputs = [
    ncurses rrdtool libusb1
    libbladeRF librtlsdr
    # libad9361 libiio
  ];
  # enableParallelBuilding = true;
  makeFlags = [
    "BLADERF=yes"
    "RTLSDR=yes"
    # "PLUTOSDR=yes"
  ];

  installPhase = ''
    find . -type f
    mkdir -p $out/bin
    cp -a readsb viewadsb $out/bin/
  '';
}
